diff --git a/ldap/servers/slapd/errormap.c b/ldap/servers/slapd/errormap.c
index efc39df..250d7d6 100644
--- a/ldap/servers/slapd/errormap.c
+++ b/ldap/servers/slapd/errormap.c
@@ -153,11 +153,11 @@ SECU_Strerror(PRErrorCode errNum) {
     	for (i = low + 1; i <= high; ++i) {
 	    num = errStrings[i].errNum;
 	    if (num <= lastNum) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"sequence error in error strings at item %d\n"
 			"error %d (%s)\n",
 			i, lastNum, errStrings[i-1].errString );
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"should come after \n"
 			"error %d (%s)\n",
 			num, errStrings[i].errString, 0 );
diff --git a/ldap/servers/slapd/extendop.c b/ldap/servers/slapd/extendop.c
index 978c92f..d67ef2c 100644
--- a/ldap/servers/slapd/extendop.c
+++ b/ldap/servers/slapd/extendop.c
@@ -32,7 +32,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
     int ret;
 
     if (extval == NULL || extval->bv_val == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "extop_handle_import_start: no data supplied\n", 0, 0, 0);
         send_ldap_result(pb, LDAP_OPERATIONS_ERROR, NULL, 
                          "no data supplied", 0, NULL);
@@ -56,7 +56,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
     }
     sdn = slapi_sdn_new_dn_passin(orig);
     if (!sdn) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "extop_handle_import_start: out of memory\n", 0, 0, 0);
         send_ldap_result(pb, LDAP_OPERATIONS_ERROR, NULL, NULL, 0, NULL);
         return;
@@ -69,7 +69,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
         be = slapi_be_select_by_instance_name(suffix);
     }
     if (be == NULL || be == defbackend_get_backend()) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "bulk import: invalid suffix or instance name '%s'\n",
                   suffix, 0, 0);
         send_ldap_result(pb, LDAP_NO_SUCH_OBJECT, NULL, 
@@ -112,7 +112,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
 
     if (be->be_wire_import == NULL) {
         /* not supported by this backend */
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "bulk import attempted on '%s' (not supported)\n",
                   suffix, 0, 0);
         send_ldap_result(pb, LDAP_NOT_SUPPORTED, NULL, NULL, 0, NULL);
@@ -125,7 +125,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
     slapi_pblock_set(pb, SLAPI_BULK_IMPORT_STATE, &ret);
     ret = (*be->be_wire_import)(pb);
     if (ret != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "extop_handle_import_start: error starting import (%d)\n",
                   ret, 0, 0);
         send_ldap_result(pb, LDAP_OPERATIONS_ERROR, NULL, NULL, 0, NULL);
@@ -145,7 +145,7 @@ static void extop_handle_import_start(Slapi_PBlock *pb, char *extoid,
     bv.bv_len = 0;
     slapi_pblock_set(pb, SLAPI_EXT_OP_RET_VALUE, &bv);
     send_ldap_result(pb, LDAP_SUCCESS, NULL, NULL, 0, NULL);
-    LDAPDebug(LDAP_DEBUG_ANY,
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "Bulk import: begin import on '%s'.\n", suffix, 0, 0);
 
 out:
@@ -168,7 +168,7 @@ static void extop_handle_import_done(Slapi_PBlock *pb, char *extoid,
 
     if ((be == NULL) || (be->be_wire_import == NULL)) {
         /* can this even happen? */
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "extop_handle_import_done: backend not supported\n",
                   0, 0, 0);
         send_ldap_result(pb, LDAP_NOT_SUPPORTED, NULL, NULL, 0, NULL);
@@ -182,7 +182,7 @@ static void extop_handle_import_done(Slapi_PBlock *pb, char *extoid,
     slapi_pblock_set(pb, SLAPI_BULK_IMPORT_STATE, &ret);
     ret = (*be->be_wire_import)(pb);
     if (ret != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "bulk import: error ending import (%d)\n",
                   ret, 0, 0);
         send_ldap_result(pb, LDAP_OPERATIONS_ERROR, NULL, NULL, 0, NULL);
@@ -195,7 +195,7 @@ static void extop_handle_import_done(Slapi_PBlock *pb, char *extoid,
     bv.bv_len = 0;
     slapi_pblock_set(pb, SLAPI_EXT_OP_RET_VALUE, &bv);
     send_ldap_result(pb, LDAP_SUCCESS, NULL, NULL, 0, NULL);
-    LDAPDebug(LDAP_DEBUG_ANY,
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "Bulk import completed successfully.\n", 0, 0, 0);
     return;
 }
@@ -212,7 +212,7 @@ do_extended( Slapi_PBlock *pb )
     ber_tag_t   tag;
     const char  *name;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "do_extended\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "do_extended\n", 0, 0, 0 );
 
     /*
      * Parse the extended request. It looks like this:
@@ -225,7 +225,7 @@ do_extended( Slapi_PBlock *pb )
 
     if ( ber_scanf( pb->pb_op->o_ber, "{a", &extoid )
         == LBER_ERROR ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "ber_scanf failed (op=extended; params=OID)\n",
             0, 0, 0 );
         op_shared_log_error_access (pb, "EXT", "???", "decoding error: fail to get extension OID");
@@ -251,12 +251,12 @@ do_extended( Slapi_PBlock *pb )
         }
     }
     if ( NULL == ( name = extended_op_oid2string( extoid ))) {
-        LDAPDebug( LDAP_DEBUG_ARGS, "do_extended: oid (%s)\n", extoid, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "do_extended: oid (%s)\n", extoid, 0, 0 );
 
         slapi_log_access( LDAP_DEBUG_STATS, "conn=%" NSPRIu64 " op=%d EXT oid=\"%s\"\n",
                 pb->pb_conn->c_connid, pb->pb_op->o_opid, extoid );
     } else {
-        LDAPDebug( LDAP_DEBUG_ARGS, "do_extended: oid (%s-%s)\n",
+        LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "do_extended: oid (%s-%s)\n",
                 extoid, name, 0 );
 
         slapi_log_access( LDAP_DEBUG_STATS,
diff --git a/ldap/servers/slapd/factory.c b/ldap/servers/slapd/factory.c
index 7237f0c..146e7a4 100644
--- a/ldap/servers/slapd/factory.c
+++ b/ldap/servers/slapd/factory.c
@@ -170,9 +170,9 @@ factory_type_add_extension(struct factory_type *ft, struct factory_extension *fe
     }
     else
     {
-        LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: Registration of %s extension by %s failed.\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: Registration of %s extension by %s failed.\n",
                    ft->name, fe->pluginname, 0);
-        LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: %d extensions already registered. Max is %d\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: %d extensions already registered. Max is %d\n",
                    ft->extension_count, MAX_EXTENSIONS, 0);
     }
 
@@ -193,7 +193,7 @@ factory_type_decrement_existence(struct factory_type *ft)
 	if(ft->existence_count<0)
 	{
 	    /* This just shouldn't happen */
-   		LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: %lu %s object extensions in existence.\n", ft->extension_count, ft->name, 0);
+   		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: %lu %s object extensions in existence.\n", ft->extension_count, ft->name, 0);
 	}
 }
 
@@ -274,8 +274,8 @@ factory_register_type(const char *name, size_t offset)
 	}
 	else
 	{
-   		LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: Registration of %s object failed.\n", name, 0, 0);
-   		LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: %d objects already registered. Max is %d\n", number_of_types, MAX_TYPES, 0);
+   		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: Registration of %s object failed.\n", name, 0, 0);
+   		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: %d objects already registered. Max is %d\n", number_of_types, MAX_TYPES, 0);
 	    type= -1;
 	}
 	PR_Unlock(factory_type_store_lock);
@@ -323,7 +323,7 @@ factory_create_extension(int type,void *object,void *parent)
 	else
 	{
 	    /* The type wasn't registered. Programming error? */
-   		LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: Object type handle %d not valid. Object not registered?\n", type, 0, 0);
+   		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: Object type handle %d not valid. Object not registered?\n", type, 0, 0);
 	}
 	return (void*)extension;
 }
@@ -364,7 +364,7 @@ factory_destroy_extension(int type,void *object,void *parent,void **extension)
 		else
 		{
 			/* The type wasn't registered. Programming error? */
-			LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: Object type handle %d not valid. Object not registered?\n", type, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: Object type handle %d not valid. Object not registered?\n", type, 0, 0);
 		}
 		slapi_ch_free(extension);
 	}
@@ -429,7 +429,7 @@ slapi_register_object_extension(
 	}
 	else
 	{
-   		LDAPDebug( LDAP_DEBUG_ANY, "ERROR: factory.c: Plugin %s failed to register extension for object %s.\n", pluginname, objectname, 0);
+   		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: factory.c: Plugin %s failed to register extension for object %s.\n", pluginname, objectname, 0);
 		rc= -1;
 		delete_factory_extension(&fe);
 	}
diff --git a/ldap/servers/slapd/filter.c b/ldap/servers/slapd/filter.c
index 03636ba..ca4224e 100644
--- a/ldap/servers/slapd/filter.c
+++ b/ldap/servers/slapd/filter.c
@@ -153,7 +153,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
     struct slapi_filter	*f;
     char		*ftmp, *type = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> get_filter_internal\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> get_filter_internal\n", 0, 0, 0 );
 
 	/*
 	 * Track and check the depth of nesting.  Use post-increment on
@@ -164,7 +164,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		*filt = NULL;
 		*fstr = NULL;
 		err = LDAP_UNWILLING_TO_PERFORM;
-		LDAPDebug( LDAP_DEBUG_FILTER, "<= get_filter_internal %d"
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= get_filter_internal %d"
 				" (maximum nesting level of %d exceeded)\n",
 				err, maxdepth, 0 );
 		return( err );
@@ -211,7 +211,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 	f->f_choice = ber_peek_tag( ber, &len );
 	switch ( f->f_choice ) {
 	case LDAP_FILTER_EQUALITY:
-		LDAPDebug( LDAP_DEBUG_FILTER, "EQUALITY\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "EQUALITY\n", 0, 0, 0 );
 		if ( (err = get_ava( ber, &f->f_ava )) == 0 ) {
 
 			if ( 0 == strcasecmp ( f->f_avtype, "objectclass")) {
@@ -260,26 +260,26 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		break;
 
 	case LDAP_FILTER_SUBSTRINGS:
-		LDAPDebug( LDAP_DEBUG_FILTER, "SUBSTRINGS\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "SUBSTRINGS\n", 0, 0, 0 );
 		err = get_substring_filter( conn, ber, f, fstr );
 		break;
 
 	case LDAP_FILTER_GE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "GE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "GE\n", 0, 0, 0 );
 		if ( (err = get_ava( ber, &f->f_ava )) == 0 ) {
 		  *fstr=filter_escape_filter_value(f, FILTER_GE_FMT, FILTER_GE_LEN);
 		}
 		break;
 
 	case LDAP_FILTER_LE:
-		LDAPDebug( LDAP_DEBUG_FILTER, "LE\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "LE\n", 0, 0, 0 );
 		if ( (err = get_ava( ber, &f->f_ava )) == 0 ) {
 		  *fstr=filter_escape_filter_value(f, FILTER_LE_FMT, FILTER_LE_LEN);
 		}
 		break;
 
 	case LDAP_FILTER_PRESENT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "PRESENT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "PRESENT\n", 0, 0, 0 );
 		if ( ber_scanf( ber, "a", &type ) == LBER_ERROR ) {
             slapi_ch_free_string(&type);
 			err = LDAP_PROTOCOL_ERROR;
@@ -293,22 +293,22 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		break;
 
 	case LDAP_FILTER_APPROX:
-		LDAPDebug( LDAP_DEBUG_FILTER, "APPROX\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "APPROX\n", 0, 0, 0 );
 		if ( (err = get_ava( ber, &f->f_ava )) == 0 ) {
 		  *fstr=filter_escape_filter_value(f, FILTER_APROX_FMT, FILTER_APROX_LEN);
 		}
 		break;
 
     case LDAP_FILTER_EXTENDED:
-        LDAPDebug( LDAP_DEBUG_FILTER, "EXTENDED\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "EXTENDED\n", 0, 0, 0 );
         if ( conn->c_ldapversion < 3 ) {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "extensible filter received from v2 client\n",
                 0, 0, 0 );
             err = LDAP_PROTOCOL_ERROR;
         } else if ( (err = get_extensible_filter( ber, &f->f_mr )) == LDAP_SUCCESS ) {           
             *fstr=filter_escape_filter_value_extended(f); 
-            LDAPDebug (LDAP_DEBUG_FILTER, "%s\n", *fstr, 0, 0);
+            LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "%s\n", *fstr, 0, 0);
             if(f->f_mr_oid==NULL) {
             /*
             * We accept:
@@ -323,7 +323,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
         break;
 
 	case LDAP_FILTER_AND:
-		LDAPDebug( LDAP_DEBUG_FILTER, "AND\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "AND\n", 0, 0, 0 );
 		if ( (err = get_filter_list( conn, ber, &f->f_and, &ftmp, maxdepth,
 					curdepth, subentry_dont_rewrite,
 					has_tombstone_filter, has_ruv_filter ))
@@ -335,7 +335,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		break;
 
 	case LDAP_FILTER_OR:
-		LDAPDebug( LDAP_DEBUG_FILTER, "OR\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "OR\n", 0, 0, 0 );
 		if ( (err = get_filter_list( conn, ber, &f->f_or, &ftmp, maxdepth,
 					curdepth, subentry_dont_rewrite,
 					has_tombstone_filter, has_ruv_filter ))
@@ -347,7 +347,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		break;
 
 	case LDAP_FILTER_NOT:
-		LDAPDebug( LDAP_DEBUG_FILTER, "NOT\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "NOT\n", 0, 0, 0 );
 		(void) ber_skip_tag( ber, &len );
 		if ( (err = get_filter_internal( conn, ber, &f->f_not, &ftmp, maxdepth,
 					curdepth, subentry_dont_rewrite,
@@ -360,7 +360,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "get_filter_internal: unknown type 0x%lX\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "get_filter_internal: unknown type 0x%lX\n",
 		    f->f_choice, 0, 0 );
 		err = LDAP_PROTOCOL_ERROR;
 		break;
@@ -372,7 +372,7 @@ get_filter_internal( Connection *conn, BerElement *ber,
 		slapi_ch_free( (void**)fstr );
 	}
 	*filt = f;
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= get_filter_internal %d\n", err, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= get_filter_internal %d\n", err, 0, 0 );
 	return( err );
 }
 
@@ -388,7 +388,7 @@ get_filter_list( Connection *conn, BerElement *ber,
 	ber_len_t	len = LBER_ERROR;
 	char		*last;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> get_filter_list\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> get_filter_list\n", 0, 0, 0 );
 
 	*fstr = NULL;
 	new = f;
@@ -423,11 +423,11 @@ get_filter_list( Connection *conn, BerElement *ber,
 	   len if it has reached the end, and -1 is not a valid value
 	   for a real len */
 	if ( (tag != LBER_END_OF_SEQORSET) && (len != -1) && (*fstr != NULL) ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "   error parsing filter list\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "   error parsing filter list\n", 0, 0, 0 );
 		slapi_ch_free((void**)fstr );
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= get_filter_list\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= get_filter_list\n", 0, 0, 0 );
 	return(( *fstr == NULL ) ? LDAP_PROTOCOL_ERROR : 0 );
 }
 
@@ -444,7 +444,7 @@ get_substring_filter(
 	char		*val, *eval, *last, *type = NULL;
 	size_t fstr_len;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> get_substring_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> get_substring_filter\n", 0, 0, 0 );
 
 	if ( ber_scanf( ber, "{a", &type ) == LBER_ERROR ) {
 		slapi_ch_free_string(&type);
@@ -480,7 +480,7 @@ get_substring_filter(
 
 		switch ( tag ) {
 		case LDAP_SUBSTRING_INITIAL:
-			LDAPDebug( LDAP_DEBUG_FILTER, "  INITIAL\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "  INITIAL\n", 0, 0, 0 );
 			if ( f->f_sub_initial != NULL ) {
 				return( LDAP_PROTOCOL_ERROR );
 			}
@@ -497,7 +497,7 @@ get_substring_filter(
 			break;
 
 		case LDAP_SUBSTRING_ANY:
-			LDAPDebug( LDAP_DEBUG_FILTER, "  ANY\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "  ANY\n", 0, 0, 0 );
 			charray_add(&f->f_sub_any, val);
 			eval = (char*)slapi_escape_filter_value(val, -1);
 			if(eval){
@@ -512,7 +512,7 @@ get_substring_filter(
 			break;
 
 		case LDAP_SUBSTRING_FINAL:
-			LDAPDebug( LDAP_DEBUG_FILTER, "  FINAL\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "  FINAL\n", 0, 0, 0 );
 			if ( f->f_sub_final != NULL ) {
 				return( LDAP_PROTOCOL_ERROR );
 			}
@@ -530,13 +530,13 @@ get_substring_filter(
 			break;
 
 		default:
-			LDAPDebug( LDAP_DEBUG_FILTER, "  unknown tag 0x%lX\n", tag, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "  unknown tag 0x%lX\n", tag, 0, 0 );
 			return( LDAP_PROTOCOL_ERROR );
 		}
 	}
 
 	if ( (tag != LBER_END_OF_SEQORSET) && (len != -1) ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "  error reading substring filter\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "  error reading substring filter\n", 0, 0, 0 );
 		return( LDAP_PROTOCOL_ERROR );
 	}
 	if ( f->f_sub_initial == NULL && f->f_sub_any == NULL &&
@@ -554,7 +554,7 @@ get_substring_filter(
 	}
 	strcat( *fstr, ")" );
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= get_substring_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= get_substring_filter\n", 0, 0, 0 );
 	return( 0 );
 }
 
@@ -567,7 +567,7 @@ get_extensible_filter( BerElement *ber, mr_filter_t* mrf )
 	char		*last;
 	int		rc = LDAP_SUCCESS;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> get_extensible_filter\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> get_extensible_filter\n", 0, 0, 0 );
 	memset (mrf, 0, sizeof (mr_filter_t));
 
 	gotelem = gotoid = gotvalue = 0;
@@ -642,11 +642,11 @@ get_extensible_filter( BerElement *ber, mr_filter_t* mrf )
 		goto parsing_error;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= get_extensible_filter %i\n", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= get_extensible_filter %i\n", rc, 0, 0 );
 	return rc;
 
 parsing_error:;
-	LDAPDebug( LDAP_DEBUG_ANY, "error parsing extensible filter\n",
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "error parsing extensible filter\n",
 	    0, 0, 0 );
 	return( LDAP_PROTOCOL_ERROR );
 }
@@ -666,7 +666,7 @@ slapi_filter_dup(Slapi_Filter *f)
 
 	out = (struct slapi_filter*)slapi_ch_calloc(1, sizeof(struct slapi_filter));
 	if ( out == NULL ) {
-		LDAPDebug(LDAP_DEBUG_ANY, "slapi_filter_dup: memory allocation error\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapi_filter_dup: memory allocation error\n",
 		    0, 0, 0 );
 		return NULL;
 	}
@@ -675,7 +675,7 @@ slapi_filter_dup(Slapi_Filter *f)
 	out->f_hash = f->f_hash;
 	out->f_flags = f->f_flags;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "slapi_filter_dup type 0x%lX\n", f->f_choice, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "slapi_filter_dup type 0x%lX\n", f->f_choice, 0, 0 );
 	switch ( f->f_choice ) {
 	case LDAP_FILTER_EQUALITY:
 	case LDAP_FILTER_GE:
@@ -723,7 +723,7 @@ slapi_filter_dup(Slapi_Filter *f)
 		break;
 
 	default:
-		LDAPDebug(LDAP_DEBUG_FILTER, "slapi_filter_dup: unknown type 0x%lX\n",
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "slapi_filter_dup: unknown type 0x%lX\n",
 		    f->f_choice, 0, 0 );
 		break;
 	}
@@ -738,7 +738,7 @@ slapi_filter_free( struct slapi_filter *f, int recurse )
 		return;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "slapi_filter_free type 0x%lX\n", f->f_choice, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "slapi_filter_free type 0x%lX\n", f->f_choice, 0, 0 );
 	switch ( f->f_choice ) {
 	case LDAP_FILTER_EQUALITY:
 	case LDAP_FILTER_GE:
@@ -787,7 +787,7 @@ slapi_filter_free( struct slapi_filter *f, int recurse )
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "slapi_filter_free: unknown type 0x%lX\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapi_filter_free: unknown type 0x%lX\n",
 		    f->f_choice, 0, 0 );
 		break;
 	}
diff --git a/ldap/servers/slapd/filtercmp.c b/ldap/servers/slapd/filtercmp.c
index 31670ed..fe8c2ee 100644
--- a/ldap/servers/slapd/filtercmp.c
+++ b/ldap/servers/slapd/filtercmp.c
@@ -195,7 +195,7 @@ void filter_compute_hash(struct slapi_filter *f)
 	/* get the normalized value (according to the matching rule) */
 	pb = get_mr_normval(f->f_mr_oid, f->f_mr_type, inval, &outval);
 	if (!pb) {
-		LDAPDebug(LDAP_DEBUG_ANY, "$$$ out of memory !\n", 0, 0, 0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "$$$ out of memory !\n", 0, 0, 0);
 		return;
 	}
 	if (outval && outval[0]) {
@@ -207,7 +207,7 @@ void filter_compute_hash(struct slapi_filter *f)
 	    STIR(h);
 	break;
     default:
-	LDAPDebug(LDAP_DEBUG_ANY, "$$$ can't handle filter type %d !\n",
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "$$$ can't handle filter type %d !\n",
 		  f->f_choice, 0, 0);
     }
 
@@ -328,7 +328,7 @@ int slapi_filter_compare(struct slapi_filter *f1, struct slapi_filter *f2)
     int ret;
     Slapi_Attr sattr;
 
-    LDAPDebug(LDAP_DEBUG_TRACE, "=> filter compare\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> filter compare\n", 0, 0, 0);
 
     /* allow for the possibility that one of the filters hasn't had a hash
      * computed (and is therefore 0).  this means that a filter node whose
@@ -410,12 +410,12 @@ int slapi_filter_compare(struct slapi_filter *f1, struct slapi_filter *f2)
 	    done_mr_normval(pb2);
 	break;
     default:
-	LDAPDebug(LDAP_DEBUG_ANY, "ERR can't handle filter %d\n", f1->f_choice,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERR can't handle filter %d\n", f1->f_choice,
 		  0, 0);
 	ret = 1;
     }
 
 done:
-    LDAPDebug(LDAP_DEBUG_TRACE, "<= filter compare: %d\n", ret, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= filter compare: %d\n", ret, 0, 0);
     return ret;
 }
